package com.adventurer_engine.network.client2server;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import by;
import ci;
import cl;
import com.adventurer_engine.common.PlayerStatusData;
import com.adventurer_engine.network.RCsPacket;
import com.adventurer_engine.network.client2server.PlayerDataSynchronousC2S;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import jv;
import uf;

public class SendNBT extends RCsPacket {
  private String key;
  
  private by toSend;
  
  public SendNBT(String key, by toSend) {
    this.key = key;
    this.toSend = toSend;
  }
  
  public SendNBT() {}
  
  public void write(ByteArrayDataOutput out) throws IOException {
    out.writeUTF(this.key);
    ci.a(this.toSend, out);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    this.key = in.readUTF();
    this.toSend = ci.a(in);
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    assert side == Side.SERVER;
    jv mp = (jv)player;
    PlayerStatusData.getPlayerData(mp).getData().a(this.key, (cl)this.toSend);
  }
}
